/*-----------------------------------------------------------------------

File  : cto_proofproc.h

Author: Stephan Schulz

Contents
 
  Top level proof procedure

Changes

<1> Mon Jun  8 04:19:50 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CTO_PROOFPROC

#define CTO_PROOFPROC

#include <cco_forward_contraction.h>


/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/

void     InitProofState(ProofState_p state, ProofControl_p control,
			HeuristicParms_p h_parms);
Clause_p ProcessClause(ProofState_p state, ProofControl_p control);
Clause_p Saturate(ProofState_p state, ProofControl_p control, long
		  step_limit, long proc_limit, long unproc_limit, long
		  total_limit);



#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





